Package Details: ipe 7.2.18-1

Git Clone URL: https://aur.archlinux.org/ipe.git (read-only, click to copy)
Package Base: ipe
Description: The extensible drawing editor
Upstream URL: http://ipe.otfried.org/
Licenses: GPL
Conflicts: ipe
Submitter: foxcub
Maintainer: foxcub
Last Packager: foxcub
Votes: 76
Popularity: 0.63
First Submitted: 2007-01-02 01:58
Last Updated: 2020-05-20 21:22

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

Liquen commented on 2019-10-18 00:20

@terrificiceberg: 'patch' belongs to 'base-devel' (https://www.archlinux.org/groups/x86_64/base-devel/). Packages belonging to this group are not required to be listed as build-time dependencies (makedepends) in PKGBUILD files (https://wiki.archlinux.org/index.php/Makepkg#Usage).

terrificiceberg commented on 2019-10-17 13:42

For me the build fails with: line 20: patch: command not found

After installing 'patch' it works, so maybe it should be added to the make dependencies.

foxcub commented on 2019-05-06 14:37

If you have a patch for the PKGBUILD that would do this, I'll gladly incorporate it.

ISibboI commented on 2019-05-06 12:17

Thanks for providing the package! Can you make the package add a .desktop file if it detects gnome or related desktop environments?

foxcub commented on 2019-01-15 17:23

Done. Not sure why IpePresenter was outdated.

englhardt commented on 2019-01-15 09:08

Please update the bundled IpePresenter see http://hg.mrzv.org/IpePresenter/ (latest version has hash c62a23291b60). In the bundled version, i.e., hash b714decd7d5b, latex artifacts are not rendered correctly.

qubit commented on 2019-01-12 13:17

The newest version of ipe is now 7.2.8.

hexchain commented on 2018-10-06 13:06

The upstream URL should be http://ipe.otfried.org/ ?

foxcub commented on 2017-10-11 16:20

Thanks for the fix, and thanks for reporting it upstream. I've pushed a new version of the package.

Michitux commented on 2017-10-11 14:48

Since glibc >= 2.26 does not include xlocale.h anymore, ipe does not compile anymore. Adding

sed -i '/#include <xlocale.h>/d' ipelib/ipeplatform.cpp

directly before the first make invocation in the PKGBUILD fixes the problem for me. I have also reported this upstream: https://github.com/otfried/ipe-issues/issues/165